/templates/{id}
PATCH
id*stringTemplate id or alias
Length
1 <= lengthapplication/json- body
name?stringLength
1 <= length <= 200subject?string"" or null clears the subject
Length
length <= 998html?stringLength
1 <= length <= 500000text?stringLength
length <= 500000alias?stringnull clears the alias
Match
^[A-Za-z0-9][A-Za-z0-9._-]*$Length
1 <= length <= 100from?stringNot supported yet: any value is a 422
reply_to?|array<string>|Not supported yet: any value is a 422
variables?array<unknown>Not supported yet: a non-empty list is a 422
Template updated (live immediately)
application/json- response
object*"template"Value in
"template"id*stringFormat
uuidcurl -X PATCH 'https://api.millionsend.com/templates/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "object": "template", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}